开源 企业版 高校版 私有云 模力方舟 AI 队友
代码拉取完成,页面将自动刷新
捐赠
捐赠前请先登录
扫描微信二维码支付
取消
支付完成
支付提示
将跳转至支付宝完成支付
确定
取消
1 Star 1 Fork 0

Lucas/gitcommit

加入 Gitee
与超过 1400万 开发者一起发现、参与优秀开源项目,私有仓库也完全免费 :)
免费加入
已有帐号? 立即登录
文件
master
分支 (1)
master
master
分支 (1)
master
克隆/下载
克隆/下载
提示
下载代码请复制以下命令到终端执行
为确保你提交的代码身份被 Gitee 正确识别,请执行以下命令完成配置
初次使用 SSH 协议进行代码克隆、推送等操作时,需按下述提示完成 SSH 配置
1 生成 RSA 密钥
2 获取 RSA 公钥内容,并配置到 SSH公钥
在 Gitee 上使用 SVN,请访问 使用指南
使用 HTTPS 协议时,命令行会出现如下账号密码验证步骤。基于安全考虑,Gitee 建议 配置并使用私人令牌 替代登录密码进行克隆、推送等操作
Username for 'https://gitee.com': userName
Password for 'https://userName@gitee.com': # 私人令牌
master
分支 (1)
master
gitcommit
/
commit-msg.sh
gitcommit
/
commit-msg.sh
commit-msg.sh 2.01 KB
一键复制 编辑 原始数据 按行查看 历史
Lucas 提交于 2024年10月15日 15:07 +08:00 . update commit-msg.sh
#!/usr/bin/env bash
#
# An example hook script to check the commit log message.
# Called by "git commit" with one argument, the name of the file
# that has the commit message. The hook should exit with non-zero
# status after issuing an appropriate message if it wants to stop the
# commit. The hook is allowed to edit the commit message file.
#
# To enable this hook, rename this file to "commit-msg".
# Uncomment the below to add a Signed-off-by line to the message.
# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
# hook is more suited to it.
#
# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: 1円/p')
# grep -qs "^$SOB" "1ドル" || echo "$SOB" >> "1ドル"
# This example catches duplicate Signed-off-by lines.
test "" = "$(grep '^Signed-off-by: ' "1ドル" |
sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || {
echo >&2 Duplicate Signed-off-by lines.
exit 1
}
COMMIT_MSG_FILE=1ドル
msg="$(grep -v '^#' "$COMMIT_MSG_FILE")"
echo -e "0円33[33m The commit msg: 0円33[0m $msg"
#if the msg is merge then skip it
mergePattern='^Merge '
if [[ "$msg" =~ "$mergePattern" ]];then
echo -e "0円33[32m skip the merge, commit success! 0円33[0m"
exit 0
fi
# check the first line of the commit msg
maxlen=200
first_line=$(echo "$msg" | head -n 1)
length=${#first_line}
msg_re="^(feat|fix|docs|style|refactor|test|chore)(\(.+\))?: .{1,200}"
if [[ ! $first_line =~ $msg_re ]];then
echo -e "0円33[31m Error: the commit message is irregular 0円33[0m"
echo -e "0円33[31m Error: type must be one of [feat|fix|docs|style|refactor|test|chore]0円33[0m"
echo -e "0円33[31m eg: feat(user): add the user login 0円33[0m"
echo -e "0円33[31m See: https://confluence.shell.com.cn:9443/pages/viewpage.action?pageId=137398003 for details0円33[0m"
exit 1
else
if [ $length -gt $maxlen ];then
echo -e "0円33[31m Error: the first line of the commit message exceeds the max length of 200 characters 0円33[0m"
exit 1
fi
fi
exit 0
Loading...
举报
举报成功
我们将于2个工作日内通过站内信反馈结果给你!
请认真填写举报原因,尽可能描述详细。
请选择举报类型
取消
发送
误判申诉

此处可能存在不合适展示的内容,页面不予展示。您可通过相关编辑功能自查并修改。

如您确认内容无涉及 不当用语 / 纯广告导流 / 暴力 / 低俗色情 / 侵权 / 盗版 / 虚假 / 无价值内容或违法国家有关法律法规的内容,可点击提交进行申诉,我们将尽快为您处理。

取消
提交

简介

a git commt template
取消

发行版

暂无发行版

贡献者

全部

语言

近期动态

不能加载更多了
编辑仓库简介
简介内容
主页
马建仓 AI 助手
尝试更多
代码解读
代码找茬
代码优化
1
https://gitee.com/lauper/gitcommit.git
git@gitee.com:lauper/gitcommit.git
lauper
gitcommit
gitcommit
master
点此查找更多帮助

搜索帮助

评论
仓库举报
回到顶部
登录提示
该操作需登录 Gitee 帐号,请先登录后再操作。
立即登录
没有帐号,去注册

AltStyle によって変換されたページ (->オリジナル) /